# Accept Buy Offer

Function:

```
public fun accept_buy_offer<CURRENCY>(
    ledger: &mut TradeLedger,
    offer_id: ID,
    mut nfts: vector<NFT>,
    mut sender_balances: vector<UserBalance>,
    collection_cap: &CollectionCap,
    amount_to_sell: u64,
    clock: &Clock,
    ctx: &mut TxContext
)

```

**Description:**

* NFT holders can **sell their NFTs** to an active buy offer.
* The seller receives **payment in `CURRENCY`**.
* The NFTs are **transferred** to the buyer.

**Validations:**

* The buy offer must **be open**.
* The seller must **own the NFTs**.
* The amount **must not exceed the requested amount**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.artinals.com/artinals-protocol/market-module/functions-and-entry-points/accept-buy-offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
